# FlaskLaunch: Streamline Your Flask Development

FlaskLaunch is a command-line tool designed to accelerate the creation of Flask-based web applications. It provides a standardized project structure and simplifies the integration of essential features, allowing developers to focus on building core application logic rather than project scaffolding.

## Key Features

*   **Rapid Project Initialization:** Quickly generate a pre-configured Flask project structure with a single command.
*   **Modular Feature Integration:** Seamlessly add support for RESTful APIs, databases (SQLAlchemy), and web templating (Bootstrap) as needed.
*   **Flexible Configuration:** Leverage `settings.yaml` and Dynaconf for robust and adaptable configuration management.
*   **Intuitive CLI:** A user-friendly command-line interface simplifies project setup and feature integration.
*   **Best Practices:** The generated project structure promotes maintainability and avoids common pitfalls like circular imports.

## Installation

```bash
pip install flasklaunch